summaryrefslogtreecommitdiffstats
path: root/source/x/anthy/anthy.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/anthy/anthy.SlackBuild')
-rwxr-xr-xsource/x/anthy/anthy.SlackBuild51
1 files changed, 36 insertions, 15 deletions
diff --git a/source/x/anthy/anthy.SlackBuild b/source/x/anthy/anthy.SlackBuild
index ab402cd02..6436db767 100755
--- a/source/x/anthy/anthy.SlackBuild
+++ b/source/x/anthy/anthy.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN USA
# Copyright 2008, 2009 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
@@ -33,12 +33,22 @@
# -----------------------------------------------------------------------------
-PRGNAM=anthy
-VERSION=${VERSION:-9100e}
-ARCH=${ARCH:-x86_64}
-NUMJOBS=${NUMJOBS:-" -j7 "}
+PKGNAM=anthy
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
@@ -48,19 +58,22 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-$PRGNAM
+PKG=$TMP/package-$PKGNAM
rm -rf $PKG
-mkdir -p $TMP PKG
+mkdir -p $TMP $PKG
cd $TMP
-rm -rf ${PRGNAM}-${VERSION}
-tar -xvf $CWD/${PRGNAM}-${VERSION}.tar.gz || exit 1
-cd ${PRGNAM}-${VERSION} || exit 1
+rm -rf ${PKGNAM}-${VERSION}
+tar xvf $CWD/${PKGNAM}-${VERSION}.tar.?z* || exit 1
+cd ${PKGNAM}-${VERSION} || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -76,7 +89,7 @@ CFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--sysconfdir=/etc \
--mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
--disable-static \
--program-prefix= \
--program-suffix= \
@@ -86,12 +99,20 @@ make $NUMJOBS || make || exit 1
make DESTDIR=$PKG install || exit 1
# Add documentation:
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- AUTHORS COPYING ChangeLog DIARY INSTALL NEWS README* \
- $PKG/usr/doc/$PRGNAM-$VERSION
+ AUTHORS COPYING* DIARY INSTALL NEWS README* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
find $PKG/usr/doc -type f -exec chmod 644 {} \;
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
# Compress the man page(s):
if [ -d $PKG/usr/man ]; then
find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
@@ -111,5 +132,5 @@ fi
# Build the package:
cd $PKG
-/sbin/makepkg -l y -c n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txz
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-${VERSION}-${ARCH}-${BUILD}.txz